import { MatDialogRef } from '@angular/material/dialog';
import { AgColumnComponentModel } from '../../models/agColumnComponent.model';
import { AgInputFormConfiguration } from '../../models/agInputFormConfiguration.model';
import { AgButtonFormConfiguration } from '../../models/agButtonFormConfiguration';
import { AgSection } from '../../models/agSection.model';
import { AgColumnModel } from '../../models/agColumn.model';
import { AgComponentTypes } from '../../models/agComponent.model';
import { AgDatepickerConfiguration } from '../../models/agDatepickerConfiguration.model';
import * as i0 from "@angular/core";
export declare class AgSettingModalComponent {
    private matDialog;
    data: {
        sectionIndex: number;
        sectionInfo: AgSection;
    };
    columns: Array<AgColumnModel>;
    sectionInfo: {
        sectionIndex: number;
        sectionColumns: Array<AgColumnComponentModel>;
    };
    constructor(matDialog: MatDialogRef<AgSettingModalComponent>, data: {
        sectionIndex: number;
        sectionInfo: AgSection;
    });
    addColumn(componentType: AgComponentTypes): void;
    private addDefaultComponentConfigurationBasedOnSelectedComponent;
    removeColumn(column: AgColumnModel): void;
    checkColumnsCountForLessThanThree(): boolean;
    discardSectionSettings(): void;
    saveSectionSettings(): void;
    getComponentConfigurationEvent(event: any, componentType: AgComponentTypes, columnIndex: number): void;
    private setDataForEditMode;
    returnInputFormConfiguration(sectionColumn: AgColumnModel): AgInputFormConfiguration;
    returnButtonFormConfiguration(sectionColumn: AgColumnModel): AgButtonFormConfiguration;
    returnDatepickerFormConfiguration(sectionColumn: AgColumnModel): AgDatepickerConfiguration;
    onComponentTypeValueChange(column: AgColumnModel, selectedColumnComponentType: AgComponentTypes): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AgSettingModalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AgSettingModalComponent, "ag-setting-modal", never, {}, {}, never, never>;
}
